#include "pw/io/image_io.hpp"
#include "runtime_lua.hpp"



namespace pw {


void register_io_function(sol::state&,sol::table& ns)
{
    ns.new_usertype<image_io>("imageio"
                              ,"new", sol::no_constructor
                              ,"get",&image_io::get
                              ,"read",&image_io::read
                              , "write",&image_io::write
                              );
}

PW_REGISTER_LUA(io)

}
